Generate model from the given data sample
curl --request POST \
--url https://api.example.com/v3/model-factory \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"file_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"spec": {
"schema_version": 1,
"inputs": [
"<string>"
],
"outputs": [
"<string>"
],
"targets": [
"<string>"
],
"decisions": [
"<string>"
],
"metadata": [
"<string>"
],
"custom_features": [
{
"name": "<string>",
"columns": [
"<string>"
],
"centroids": [
123
],
"tf_idf": [
{}
],
"n_clusters": 123,
"monitor_components": true
}
]
},
"max_cardinality": 1000,
"sample_size": 10000
}
'import requests
url = "https://api.example.com/v3/model-factory"
payload = {
"file_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"spec": {
"schema_version": 1,
"inputs": ["<string>"],
"outputs": ["<string>"],
"targets": ["<string>"],
"decisions": ["<string>"],
"metadata": ["<string>"],
"custom_features": [
{
"name": "<string>",
"columns": ["<string>"],
"centroids": [123],
"tf_idf": [{}],
"n_clusters": 123,
"monitor_components": True
}
]
},
"max_cardinality": 1000,
"sample_size": 10000
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
file_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
spec: {
schema_version: 1,
inputs: ['<string>'],
outputs: ['<string>'],
targets: ['<string>'],
decisions: ['<string>'],
metadata: ['<string>'],
custom_features: [
{
name: '<string>',
columns: ['<string>'],
centroids: [123],
tf_idf: [{}],
n_clusters: 123,
monitor_components: true
}
]
},
max_cardinality: 1000,
sample_size: 10000
})
};
fetch('https://api.example.com/v3/model-factory', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"api_version": "3.0",
"kind": "NORMAL",
"data": {
"schema": {
"schema_version": 1,
"columns": [
{
"name": "<string>",
"id": "<string>",
"min": 123,
"max": 123,
"categories": [
"<string>"
],
"bins": [
123
],
"replace_with_nulls": [
"<string>"
],
"n_dimensions": 123
}
]
},
"spec": {
"schema_version": 1,
"inputs": [
"<string>"
],
"outputs": [
"<string>"
],
"targets": [
"<string>"
],
"decisions": [
"<string>"
],
"metadata": [
"<string>"
],
"custom_features": [
{
"name": "<string>",
"columns": [
"<string>"
],
"centroids": [
123
],
"tf_idf": [
{}
],
"n_clusters": 123,
"monitor_components": true
}
]
}
}
}{
"api_version": "3.0",
"kind": "ERROR",
"error": {
"code": 400,
"message": "Resource Not Found",
"errors": [
{
"reason": "ResourceNotFoundException",
"message": "Resource Not Found",
"help": "<string>"
}
]
}
}{
"api_version": "3.0",
"kind": "ERROR",
"error": {
"code": 400,
"message": "Resource Not Found",
"errors": [
{
"reason": "ResourceNotFoundException",
"message": "Resource Not Found",
"help": "<string>"
}
]
}
}Models
Generate model from the given data sample
Generate model from the given data sample
POST
/
v3
/
model-factory
Generate model from the given data sample
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
⌘I